<!DOCTYPE html>
<html>
<head>
	<meta name="google-signin-client_id" content="318597080300-fk2laknpqgjv398jgso5ula9gn5hbf3s.apps.googleusercontent.com">
	<title>Login</title>
</head>
<body>
	<div class="g-signin2" data-onsuccess="onSignIn"></div>
	<a href="#" onclick="signOut();">Sign out</a>
	<script src="https://apis.google.com/js/platform.js" async defer></script>
	<script type="text/javascript">
		function onSignIn(googleUser) {
			var profile = googleUser.getBasicProfile();
			console.log('ID: ' + profile.getId()); // Do not send to your backend! Use an ID token instead.
			console.log('Name: ' + profile.getName());
			console.log('Image URL: ' + profile.getImageUrl());
			console.log('Email: ' + profile.getEmail()); // This is null if the 'email' scope is not present.
		}
		function signOut() {
			var auth2 = gapi.auth2.getAuthInstance();
			auth2.signOut().then(function () {
			  console.log('User signed out.');
			});
		}
	</script>
</body>
</html>